- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnNonExtendedLight Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Manage Non-extended Light dependency Nodes.

MFnNonExtendedLight facilitates manipulation of dependency graph nodes representing non-extended lights. This includes point lights, directional lights, and spotlights.

`#include <MFnNonExtendedLight.h>`

Inheritance diagram for MFnNonExtendedLight:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnNonExtendedLight ()
| Destructor.
| MFnNonExtendedLight ()
| Default constructor.
| MFnNonExtendedLight (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnNonExtendedLight (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
float | shadowRadius (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "shadowRadius" attribute of a non-extended light node.
MStatus | setShadowRadius (const float &shadow_radius)
| Sets the value of the "shadowRadius" attribute of a non-extended light node.
bool | castSoftShadows (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "castSoftShadows" attribute of a non-extended light node.
MStatus | setCastSoftShadows (const bool &cast_soft_shadows)
| Sets the value of the "castSoftShadows" attribute of a non-extended light node.
bool | useDepthMapShadows (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "useDepthMapShadows" attribute of a non-extended light node.
MStatus | setUseDepthMapShadows (const bool &use_depth_map)
| Sets the value of the "useDepthMapShadows" attribute of a non-extended light node.
short | depthMapFilterSize (MStatus *ReturnStatus) const
| Retrieves the value of the "depthMapFilterSize" attribute of a light node.
MStatus | setDepthMapFilterSize (const short &depth_map_filter_size)
| Sets the value of the "depthMapFilterSize" attribute of a light node.
short | depthMapResolution (MStatus *ReturnStatus) const
| Retrieves the value of the "depthMapResolution" attribute of a light node.
MStatus | setDepthMapResolution (const short &depth_map_resolution)
| Sets the value of the "depthMapResolution" attribute of a light node.
float | depthMapBias (MStatus *ReturnStatus) const
| Retrieves the value of the "depthMapBias" attribute of a light node.
MStatus | setDepthMapBias (const float &depth_map_bias)
| Sets the value of the "depthMapBias" attribute of a light node.
bool | useDepthMapAutoFocus (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "useDepthMapAutoFocus" attribute of a non-extended light node.
MStatus | setUseDepthMapAutoFocus (const bool use_depth_map_auto_focus)
| Sets the value of the "useDepthMapAutoFocus" attribute of a non-extended light node.
float | depthMapWidthFocus (MStatus *ReturnStatus) const
| Retrieves the value of the "depthMapWidthFocus" attribute of a light node.
MStatus | setDepthMapWidthFocus (const float depth_map_width_focus)
| Sets the value of the "depthMapWidthFocus" attribute of a light node.
float | depthMapFocus (MStatus *ReturnStatus) const
| Retrieves the value of the "depthMapFocus" attribute of a light node.
MStatus | setDepthMapFocus (const float depth_map_focus)
| Sets the value of the "depthMapFocus" attribute of a light node.
| MFnNonExtendedLight (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnNonExtendedLight | ( |  | ) | `[virtual]`

Destructor.

The class destructor.

MFnNonExtendedLight | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnNonExtendedLight | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnNonExtendedLight | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kNonExtendedLight.

Reimplemented from MFnNonAmbientLight.

Reimplemented in MFnAreaLight, MFnDirectionalLight, MFnPointLight, MFnSpotLight, and MFnVolumeLight.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnNonExtendedLight".

Reimplemented from MFnNonAmbientLight.

Reimplemented in MFnAreaLight, MFnDirectionalLight, MFnPointLight, MFnSpotLight, and MFnVolumeLight.

float shadowRadius | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "shadowRadius" attribute of a non-extended light node.

This attribute represents the radius of the light used when computing soft shadows. Higher radius values result in more extended soft shadows.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "shadowRadius" attribute of the non-extended light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setShadowRadius | ( | const float & | shadow_radius | ) |

Search for all occurrences

Sets the value of the "shadowRadius" attribute of a non-extended light node.

Parameters:

  [in] | shadow_radius | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

bool castSoftShadows | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "castSoftShadows" attribute of a non-extended light node.

This attribute determines whether or not the light casts soft shadows.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "castSoftShadows" attribute of the non-extended light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setCastSoftShadows | ( | const bool & | cast_soft_shadows | ) |

Search for all occurrences

Sets the value of the "castSoftShadows" attribute of a non-extended light node.

Parameters:

  [in] | cast_soft_shadows | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

bool useDepthMapShadows | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "useDepthMapShadows" attribute of a non-extended light node.

This attribute determines whether or not a depth map will be used in shadow computations for this light.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "useDepthMapShadows" attribute of the non-extended light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setUseDepthMapShadows | ( | const bool & | use_depth_map | ) |

Search for all occurrences

Sets the value of the "useDepthMapShadows" attribute of a non-extended light node.

Parameters:

  [in] | use_depth_map | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

short depthMapFilterSize | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Retrieves the value of the "depthMapFilterSize" attribute of a light node.

This attribute determines the size of the filter used in depth map shadow computations for the light.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "depthMapFilterSize" attribute of the light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set doesn not have a valid object.

MStatus setDepthMapFilterSize | ( | const short & | depth_map_filter_size | ) |

Search for all occurrences

Sets the value of the "depthMapFilterSize" attribute of a light node.

Parameters:

  [in] | depth_map_filter_size | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set doesn not have a valid object,

short depthMapResolution | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Retrieves the value of the "depthMapResolution" attribute of a light node.

This attribute determines the resolution of the depth map for this light.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "depthMapResolution" attribute of the light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set doesn not have a valid object.

MStatus setDepthMapResolution | ( | const short & | depth_map_resolution | ) |

Search for all occurrences

Sets the value of the "depthMapResolution" attribute of a light node.

Parameters:

  [in] | depth_map_resolution | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set doesn not have a valid object,

float depthMapBias | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Retrieves the value of the "depthMapBias" attribute of a light node.

This attribute represents the depth bias applied in depth map shadow computations to prevent self-shadowing artifacts.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "depthMapBias" attribute of the light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setDepthMapBias | ( | const float & | depth_map_bias | ) |

Search for all occurrences

Sets the value of the "depthMapBias" attribute of a light node.

Parameters:

  [in] | depth_map_bias | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

bool useDepthMapAutoFocus | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "useDepthMapAutoFocus" attribute of a non-extended light node.

This attribute determines whether to automatically scale the depth map so that it only fills the area of the light's illumination that contains shadow casting objects.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "useDepthMapAutoFocus" attribute of the non-extended light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object

MStatus setUseDepthMapAutoFocus | ( | const bool | use_depth_map_auto_focus | ) |

Search for all occurrences

Sets the value of the "useDepthMapAutoFocus" attribute of a non-extended light node.

Parameters:

  [in] | use_depth_map_auto_focus | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object

float depthMapWidthFocus | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Retrieves the value of the "depthMapWidthFocus" attribute of a light node.

This attribute is used to scale the depth map within the area of the light's illumination.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "depthMapWidthFocus" attribute of the light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object

MStatus setDepthMapWidthFocus | ( | const float | depth_map_width_focus | ) |

Search for all occurrences

Sets the value of the "depthMapWidthFocus" attribute of a light node.

Parameters:

  [in] | depth_map_width_focus | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object

float depthMapFocus | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Retrieves the value of the "depthMapFocus" attribute of a light node.

This attribute represents the depth map's field of view.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "depthMapFocus" attribute of the light node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object

MStatus setDepthMapFocus | ( | const float | depth_map_focus | ) |

Search for all occurrences

Sets the value of the "depthMapFocus" attribute of a light node.

Parameters:

  [in] | depth_map_focus | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object

MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight
MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight MFnNonExtendedLight